## rust-dfrs 0.0.7

=== Makefile ===
-include Makefile.local

DESTDIR ?=
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
DATAROOTDIR ?= ${PREFIX}/share
MANDIR ?= ${DATAROOTDIR}/man

TARBALLDIR ?= target/release/tarball
TARBALLFORMAT=tar.gz

RM := rm
CARGO := cargo
SCDOC := scdoc
INSTALL := install
GIT := git
GPG := gpg
SED := sed

DEBUG := 0
ifeq ($(DEBUG), 0)
	CARGO_OPTIONS := --release --locked
	CARGO_TARGET := release
else
	CARGO_OPTIONS :=
	CARGO_TARGET := debug
endif

.PHONY: all dfrs test docs man completions clean install uninstall

all: dfrs test docs

dfrs:
	$(CARGO) build $(CARGO_OPTIONS)

test:
	$(CARGO) test $(CARGO_OPTIONS)

lint:
	$(CARGO) fmt -- --check
	$(CARGO) check
	find . -name '*.rs' -exec touch {} +
	$(CARGO) clippy --all -- -D warnings

docs: man completions

man: contrib/man/dfrs.1

contrib/man/%: contrib/man/%.scd
	$(SCDOC) < $^ > $@

completions: dfrs
	target/$(CARGO_TARGET)/dfrs completions bash | $(INSTALL) -Dm 644 /dev/stdin target/completion/bash/dfrs
	target/$(CARGO_TARGET)/dfrs completions zsh | $(INSTALL) -Dm 644 /dev/stdin target/completion/zsh/_dfrs
	target/$(CARGO_TARGET)/dfrs completions fish | $(INSTALL) -Dm 644 /dev/stdin target/completion/fish/dfrs.fish

clean:
	$(RM) -rf target contrib/man/*.1

install: dfrs docs
	$(INSTALL) -Dm 755 target/$(CARGO_TARGET)/dfrs -t $(DESTDIR)$(BINDIR)
	$(INSTALL) -Dm 644 contrib/man/*.1 -t $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -Dm 644 target/completion/bash/dfrs -t $(DESTDIR)$(DATAROOTDIR)/bash-completion/completions
	$(INSTALL) -Dm 644 target/completion/zsh/_dfrs -t  $(DESTDIR)$(DATAROOTDIR)/zsh/site-functions
	$(INSTALL) -Dm 644 target/completion/fish/dfrs.fish -t  $(DESTDIR)$(DATAROOTDIR)/fish/vendor_completions.d

uninstall:
	$(RM) -f $(DESTDIR)$(BINDIR)/dfrs
	$(RM) -f $(DESTDIR)$(MANDIR)/man1/dfrs.1
	$(RM) -f $(DESTDIR)$(DATAROOTDIR)/bash-completion/completions/dfrs
	$(RM) -f $(DESTDIR)$(DATAROOTDIR)/zsh/site-functions/_dfrs
	$(RM) -f $(DESTDIR)$(DATAROOTDIR)/fish/vendor_completions.d/dfrs.fish

release: all
	$(INSTALL) -d $(TARBALLDIR)
	@read -p 'version> ' TAG && \
		$(SED) "s|version = .*|version = \"$$TAG\"|" -i Cargo.toml && \
		$(CARGO) build --release && \
		$(GIT) commit --gpg-sign --message "version: release $$TAG" Cargo.toml Cargo.lock && \
		$(GIT) tag --sign --message "version: release $$TAG" $$TAG && \
		$(GIT) archive -o $(TARBALLDIR)/dfrs-$$TAG.$(TARBALLFORMAT) --format $(TARBALLFORMAT) --prefix=dfrs-$$TAG/ $$TAG && \
		$(GPG) --detach-sign $(TARBALLDIR)/dfrs-$$TAG.$(TARBALLFORMAT)

## rust-dfrs 0.0.6

=== debian/changelog ===
rust-dfrs (0.0.6-3) unstable; urgency=medium

  * Package dfrs 0.0.6 from crates.io using debcargo 2.4.3
  * Change nix dependency 0.19

 -- kpcyrd <git@rxv.cc>  Thu, 05 Nov 2020 00:26:43 +0100

rust-dfrs (0.0.6-2) unstable; urgency=medium

  * Team upload.
  * Source upload
  * Package dfrs 0.0.6 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Oct 2020 11:14:53 +0200

rust-dfrs (0.0.6-1) unstable; urgency=medium

  * Source upload
  * Source upload
  * Package dfrs 0.0.6 from crates.io using debcargo 2.4.3

 -- kpcyrd <git@rxv.cc>  Mon, 12 Oct 2020 09:54:14 +0200

=== debian/control ===
Source: rust-dfrs
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-colored-1+default-dev (>= 1.6-~~),
 librust-env-logger-0.7+default-dev,
 librust-log-0.4+default-dev,
 librust-nix-0.19+default-dev,
 librust-structopt-0.3+default-dev,
 librust-strum-0.19+default-dev,
 librust-strum-macros-0.19+default-dev,
 bash-completion,
 scdoc
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dfrs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dfrs

Package: dfrs
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Display file system space usage using graphs and colors
 dfrs displays the amount of disk space available on the file system containing
 each file name argument. If no file name is given, the space available on all
 currently mounted file systems is shown.
 .
 dfrs(1) is a tool similar to df(1) except that it is able to show a graph along
 with the data and is able to use colors.
 .
 Without any argument, size is displayed in human-readable format.
 .
 This package contains the following binaries built from the Rust crate
 "dfrs":
  - dfrs

## rust-dfrs 0.0.7

=== debian/changelog ===
rust-dfrs (0.0.7-12) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.7.10
  * Update patch for colored 3

 -- Matthias Geiger <werdahias@debian.org>  Sat, 27 Sep 2025 14:50:24 +0200

rust-dfrs (0.0.7-11) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.7.4
  * Bump env_logger dependency to v0.11

 -- NoisyCoil <noisycoil@tutanota.com>  Tue, 31 Dec 2024 13:18:53 +0100

rust-dfrs (0.0.7-10) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.1
  * Bump strum dependency to 0.26 (Closes: #1073389)

 -- James McCoy <jamessan@debian.org>  Fri, 21 Jun 2024 10:07:50 -0400

rust-dfrs (0.0.7-9) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.1
  * Relax nix dependency again and explicitly enable the fs feature
    (which is no longer enabled by default in 0.27 and above)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 25 Feb 2024 10:48:21 +0000

rust-dfrs (0.0.7-8) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.1
  * Tighten nix dependency to only allow 0.26.x, 0.27.x breaks the build.
  * Bump strum dependency to 0.25.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 12 Dec 2023 21:35:33 +0000

rust-dfrs (0.0.7-7) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.0
  * Cleanup patching of nix dependency (establish a minimum version, don't
    patch it twice).
  * Bump env-logger dependency to 0.10.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 06 Sep 2023 03:33:48 +0000

rust-dfrs (0.0.7-6) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.0
  * Bump strum and strum_macros dependencies to 0.24.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 13 Jul 2023 01:12:01 +0000

rust-dfrs (0.0.7-5) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.6.0
  * Disable dwz

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Jul 2023 00:21:38 +0200

rust-dfrs (0.0.7-4) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.5.0
  * Unbreak the build (bump nix)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Jun 2022 18:10:04 +0200

rust-dfrs (0.0.7-3) unstable; urgency=medium

  * Team upload.
  * Package dfrs 0.0.7 from crates.io using debcargo 2.5.0
  * Stop patching colored dependency.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 21 May 2022 16:14:31 +0000

rust-dfrs (0.0.7-2) unstable; urgency=medium

  * Package dfrs 0.0.7 from crates.io using debcargo 2.5.0
  * Change nix dependency 0.23

 -- kpcyrd <git@rxv.cc>  Mon, 06 Dec 2021 18:57:03 +0100

rust-dfrs (0.0.7-1) unstable; urgency=medium

  * Package dfrs 0.0.7 from crates.io using debcargo 2.5.0
  * Closes: #997683

 -- kpcyrd <git@rxv.cc>  Thu, 02 Dec 2021 12:10:27 +0000

=== debian/control ===
Source: rust-dfrs
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 bash-completion,
 scdoc
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-anyhow-1+default-dev,
 librust-colored-3+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-log-0.4+default-dev,
 librust-nix-0+default-dev (>= 0.24-~~),
 librust-nix-0+fs-dev (>= 0.24-~~),
 librust-structopt-0.3+default-dev,
 librust-strum-0.26+default-dev,
 librust-strum-macros-0.26+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 kpcyrd <git@rxv.cc>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/dfrs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/dfrs
Homepage: https://github.com/anthraxx/dfrs
X-Cargo-Crate: dfrs
Rules-Requires-Root: no

Package: dfrs
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Display file system space usage using graphs and colors
 dfrs displays the amount of disk space available on the file system containing
 each file name argument. If no file name is given, the space available on all
 currently mounted file systems is shown.
 .
 dfrs(1) is a tool similar to df(1) except that it is able to show a graph along
 with the data and is able to use colors.
 .
 Without any argument, size is displayed in human-readable format.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo --with bash-completion

override_dh_install:
	mkdir -p debian/dfrs/usr/share/zsh/vendor-completions debian/dfrs/usr/share/fish/completions
	debian/dfrs/usr/bin/dfrs completions bash > debian/dfrs.bash
	debian/dfrs/usr/bin/dfrs completions zsh > debian/dfrs/usr/share/zsh/vendor-completions/_dfrs
	debian/dfrs/usr/bin/dfrs completions fish > debian/dfrs/usr/share/fish/completions/dfrs.fish
	dh_install
	dh_missing

override_dh_installman:
	scdoc < contrib/man/dfrs.1.scd > debian/dfrs.1
	dh_installman -O--buildsystem=cargo

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/dfrs-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/dfrs .*/crates/dfrs/@ANY_VERSION@/download
